;intel 8008 opcodes for 1975 
;https://www.youtube.com/watch?v=sOpMrVnjYeY
	org	0000H
d8	equ	55H
a16	equ	1000H

;opcodes 00-0F
	RLC 
	RFC 
	ADI d8 
	RST 0 
	LAI d8 
	RET 
	INB 
	DCB 
	RRC 
	RFZ 
	ACI d8 
	RST 1 
	LBI d8
;opcodes 10-1F
	INC 
	DCC 
	RAL 
	RFS 
	SUI d8 
	RST 2 
	LCI d8 
	IND 
	DCD 
	RAR 
	RFP 
	SBI d8 
	RST 3 
	LDI d8
;opcodes 20-2F
	INE 
	DCE 
	RC 
	NDI d8 
	RST 4 
	LEI d8 
	INH 
	DCH 
	RZ 
	XRI d8 
	RST 5 
	LHI d8
;opcodes 30-3F
	INL 
	DCL 
	RS 
	ORI d8 
	RST 6 
	LLI d8 
	RP 
	CPI d8 
	RST 7 
	LMI d8
;opcodes 40-4F
	JFC a16 
	INP 0 
	CFC a16 
	INP 1 
	JMP a16 
	INP 2 
	CAL a16 
	INP 3 
	JFZ a16 
	INP 4 
	CFZ a16 
	INP 5 
	INP 6 
	INP 7
;opcodes 50-5F
	JFS a16 
	OUT 10
	CFS a16 
	OUT 11 
	OUT 12 
	OUT 13 
	JFP a16 
	OUT 14 
	CFP a16 
	OUT 15 
	OUT 16 
	OUT 17
;opcodes 60-6F
	JC a16 
	OUT 20 
	CC a16 
	OUT 21 
	OUT 22  
	OUT 23 
	JZ a16 
	OUT 24 
	CZ a16 
	OUT 25 
	OUT 26 
	OUT 27
;opcodes 70-7F
	JS a16
	OUT 30
	CS a16
	OUT 31
	OUT 32
	OUT 33
	JP a16
	OUT 34
	CP a16
	OUT 35
	OUT 36
	OUT 37
;opcodes 80-8F
	ADA
	ADB
	ADC
	ADD
	ADE
	ADH
	ADL
	ADM
	ACA
	ACB
	ACC
	ACD
	ACE
	ACH
	ACL
	ACM
;opcodes 90-9F
	SUA
	SUB
	SUC
	SUD
	SUE
	SUH
	SUL
	SUM
	SBA
	SBB
	SBC
	SBD
	SBE
	SBH
	SBL
	SBM
;opcodes A0-AF
	NDA
	NDB
	NDC
	NDD
	NDE
	NDH
	NDL 
	NDM 
	XRA 
	XRB 
	XRC 
	XRD 
	XRE 
	XRH 
	XRL 
	XRM
;opcodes B0-BF
	ORA 
	ORB 
	ORC 
	ORD 
	ORE 
	ORH 
	ORL 
	ORM 
	CPA 
	CPB 
	CPC 
	CPD 
	CPE 
	CPH 
	CPL 
	CPM
;opcodes C0-CF
	NOP 
	LAB 
	LAC 
	LAD 
	LAE 
	LAH 
	LAL 
	LAM 
	LBA 
	LBB 
	LBC 
	LBD 
	LBE 
	LBH 
	LBL 
	LBM
;opcodes D0-DF
	LCA 
	LCB 
	LCC 
	LCD 
	LCE 
	LCH 
	LCL 
	LCM 
	LDA 
	LDB 
	LDC 
	LDD 
	LDE 
	LDH 
	LDL 
	LDM
;opcodes E0-EF
	LEA 
	LEB 
	LEC 
	LED 
	LEE 
	LEH 
	LEL 
	LEM 
	LHA 
	LHB 
	LHC 
	LHD 
	LHE 
	LHH 
	LHL 
	LHM
;opcodes F0-FF
	LLA 
	LLB 
	LLC 
	LLD 
	LLE 
	LLH 
	LLL 
	LLM 
	LMA 
	LMB 
	LMC 
	LMD 
	LME 
	LMH 
	LML 
	HLT

	END


